create table `workflow-engine`.ext_ax_process_log
(
    id                  bigint auto_increment comment '主键'
        primary key,
    process_instance_id varchar(64)   default ''                not null comment '流程实例 ID',
    tenant_id           varchar(64)   default ''                not null comment '实例归属租户',
    activity_id         varchar(64)   default ''                not null comment '节点 ID',
    activity_name       varchar(255)  default ''                not null comment '节点名称',
    approval_method     varchar(32)   default ''                not null comment '审批方式:配置审批人/业务指定/业务触发(不含人)',
    node_type           varchar(32)   default ''                not null comment '节点类型:审批节点/业务节点/评论节点/抄送节点',
    node_mode           varchar(32)   default ''                not null comment '节点模式:会签/或签',
    task_id             varchar(64)   default ''                not null comment '任务 ID',
    advice              varchar(4000) default ''                not null comment '操作建议',
    operation_desc      varchar(4000) default ''                not null comment '操作描述',
    assignee_full       json null comment '审批人(JSON)',
    assignee_id         bigint        default 0                 not null comment '审批人标识(axzo=personId)',
    assignee_tenant_id  varchar(255)  default ''                not null comment '审批人归属租户',
    assignee_name       varchar(255)  default ''                not null comment '审批人姓名',
    assignee_ou_id      varchar(64)   default ''                 not null comment '审批人归属单位',
    start_time          datetime(3)   default CURRENT_TIMESTAMP(3) not null comment '任务开始时间',
    end_time            datetime(3)                                null comment '任务结束时间',
    button_conf         json null comment '按钮配置',
    status              varchar(16)   default ''                not null comment '任务状态:审批中/通过/驳回/转交/加签',
    extra               json null comment '扩展字段',
    create_at           datetime      default CURRENT_TIMESTAMP not null comment '创建时间',
    update_at           datetime      default CURRENT_TIMESTAMP not null on update CURRENT_TIMESTAMP comment '更新时间',
    is_delete           bigint        default 0                 not null comment '是否删除'
) comment '审批日志持久化';

create unique index idx_process_task_status
    on ext_ax_process_log (process_instance_id asc, task_id asc, status asc, create_at desc);


